Package org.zkoss.zk.ui.http

## Class Wpds

- java.lang.Object
- - org.zkoss.zk.ui.http.Wpds

-     public class Wpds
      extends java.lang.Object

  Utilities to used with WPD files.
  Since:
    5.0.0
  Author:
    tomyeh

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Wpds()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static java.lang.String` | `outLibraryPropertyJavaScript()` | Internal use only.
    `static java.lang.String` | `outLocaleJavaScript()` | Generates Locale-dependent strings in JavaScript syntax.
    `static java.lang.String` | `outLocaleJavaScript​(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response)` | Generates Locale-dependent strings in JavaScript syntax.
    `static java.lang.String` | `outMomentTimezoneJavascript()` | Load moment.js timezone data.
    `static java.lang.String` | `outWidgetListJavaScript​(java.lang.String lang)` | Generates all widgets in the specified language.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Wpds

          public Wpds()

  - ### Method Detail

    - #### outWidgetListJavaScript

          public static java.lang.String outWidgetListJavaScript​(java.lang.String lang)

      Generates all widgets in the specified language.
      Parameters:
        `lang` - the language to look at

    - #### outLocaleJavaScript

          public static final java.lang.String outLocaleJavaScript()

      Generates Locale-dependent strings in JavaScript syntax.

    - #### outLocaleJavaScript

          public static final java.lang.String outLocaleJavaScript​(javax.servlet.ServletRequest request,
                                                                   javax.servlet.ServletResponse response)
                                                            throws java.io.IOException

      Generates Locale-dependent strings in JavaScript syntax.
      Throws:
        `java.io.IOException`
      Since:
        6.5.1

    - #### outMomentTimezoneJavascript

          public static final java.lang.String outMomentTimezoneJavascript()
                                                                    throws java.io.IOException

      Load moment.js timezone data.
      Throws:
        `java.io.IOException`
      Since:
        8.5.1

    - #### outLibraryPropertyJavaScript

          public static final java.lang.String outLibraryPropertyJavaScript()

      Internal use only. Generates some Library-properties strings in JavaScript syntax
      Since:
        9.5.1